Index: lemon/bits/graph_extender.h
===================================================================
--- lemon/bits/graph_extender.h	(revision 2384)
+++ lemon/bits/graph_extender.h	(revision 2386)
@@ -557,5 +557,5 @@
     /// Returns the base node (ie. the source in this case) of the iterator
     Node baseNode(const OutEdgeIt &e) const {
-      return Parent::source((Edge)e);
+      return Parent::source(static_cast<const Edge&>(e));
     }
     /// \brief Running node of the iterator
@@ -564,5 +564,5 @@
     /// iterator
     Node runningNode(const OutEdgeIt &e) const {
-      return Parent::target((Edge)e);
+      return Parent::target(static_cast<const Edge&>(e));
     }
 
@@ -571,5 +571,5 @@
     /// Returns the base node (ie. the target in this case) of the iterator
     Node baseNode(const InEdgeIt &e) const {
-      return Parent::target((Edge)e);
+      return Parent::target(static_cast<const Edge&>(e));
     }
     /// \brief Running node of the iterator
@@ -578,5 +578,5 @@
     /// iterator
     Node runningNode(const InEdgeIt &e) const {
-      return Parent::source((Edge)e);
+      return Parent::source(static_cast<const Edge&>(e));
     }
 
@@ -680,8 +680,8 @@
       UEdge uedge = Parent::addEdge(from, to);
       notifier(UEdge()).add(uedge);
-      std::vector<Edge> edges;
-      edges.push_back(Parent::direct(uedge, true));
-      edges.push_back(Parent::direct(uedge, false));      
-      notifier(Edge()).add(edges);
+      std::vector<Edge> ev;
+      ev.push_back(Parent::direct(uedge, true));
+      ev.push_back(Parent::direct(uedge, false));      
+      notifier(Edge()).add(ev);
       return uedge;
     }
@@ -722,8 +722,8 @@
 
     void erase(const UEdge& uedge) {
-      std::vector<Edge> edges;
-      edges.push_back(Parent::direct(uedge, true));
-      edges.push_back(Parent::direct(uedge, false));      
-      notifier(Edge()).erase(edges);
+      std::vector<Edge> ev;
+      ev.push_back(Parent::direct(uedge, true));
+      ev.push_back(Parent::direct(uedge, false));      
+      notifier(Edge()).erase(ev);
       notifier(UEdge()).erase(uedge);
       Parent::erase(uedge);
@@ -1008,5 +1008,5 @@
     /// Returns the base node (ie. the source in this case) of the iterator
     Node baseNode(const OutEdgeIt &e) const {
-      return Parent::source((Edge&)e);
+      return Parent::source(static_cast<const Edge&>(e));
     }
     /// \brief Running node of the iterator
@@ -1015,5 +1015,5 @@
     /// iterator
     Node runningNode(const OutEdgeIt &e) const {
-      return Parent::target((Edge&)e);
+      return Parent::target(static_cast<const Edge&>(e));
     }
   
@@ -1022,5 +1022,5 @@
     /// Returns the base node (ie. the target in this case) of the iterator
     Node baseNode(const InEdgeIt &e) const {
-      return Parent::target((Edge&)e);
+      return Parent::target(static_cast<const Edge&>(e));
     }
     /// \brief Running node of the iterator
@@ -1029,5 +1029,5 @@
     /// iterator
     Node runningNode(const InEdgeIt &e) const {
-      return Parent::source((Edge&)e);
+      return Parent::source(static_cast<const Edge&>(e));
     }
   
@@ -1296,12 +1296,12 @@
     }
   
-    UEdge addEdge(const Node& source, const Node& target) {
-      UEdge uedge = Parent::addEdge(source, target);
+    UEdge addEdge(const Node& s, const Node& t) {
+      UEdge uedge = Parent::addEdge(s, t);
       notifier(UEdge()).add(uedge);
     
-      std::vector<Edge> edges;
-      edges.push_back(Parent::direct(uedge, true));
-      edges.push_back(Parent::direct(uedge, false));
-      notifier(Edge()).add(edges);
+      std::vector<Edge> ev;
+      ev.push_back(Parent::direct(uedge, true));
+      ev.push_back(Parent::direct(uedge, false));
+      notifier(Edge()).add(ev);
     
       return uedge;
@@ -1352,8 +1352,8 @@
     
     void erase(const UEdge& uedge) {
-      std::vector<Edge> edges;
-      edges.push_back(Parent::direct(uedge, true));
-      edges.push_back(Parent::direct(uedge, false));
-      notifier(Edge()).erase(edges);
+      std::vector<Edge> ev;
+      ev.push_back(Parent::direct(uedge, true));
+      ev.push_back(Parent::direct(uedge, false));
+      notifier(Edge()).erase(ev);
       notifier(UEdge()).erase(uedge);
       Parent::erase(uedge);
